package com.jobs.controller;

import com.jobs.pojo.Employee;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.UnsupportedEncodingException;
import java.util.Random;

@Slf4j
@RequestMapping("/provider")
@RestController
public class ProviderController {

    @Value("${server.port}")
    private Integer port;

    @GetMapping("/{id}")
    public Employee getEmployeeById(@PathVariable("id") Integer id) {
        Employee employee = new Employee();
        employee.setId(id);
        employee.setPort(port);

        //随机生成汉字
        int temp1 = 16 + new Random().nextInt(40);
        int temp2 = 1 + new Random().nextInt(94);
        byte[] bytes = new byte[2];
        bytes[0] = (byte) (0xa0 + temp1);
        bytes[1] = (byte) (0xa0 + temp2);
        String ch;
        try {
            ch = new String(bytes, "gb2312");
        } catch (Exception ex) {
            ch = "null";
        }
        employee.setName("小" + ch);

        String[] departArr = {"研发部", "财务部", "销售部", "运营部", "人事部", "宣传部"};
        Random random = new Random();
        int index = random.nextInt(6);
        employee.setDepart(departArr[index]);

        log.info("返回员工的 id 为：" + id);
        return employee;
    }
}
